### Function

# GdkX11.x11_get_xatom_by_name_for_display

#### Declaration [src]

    Atom
    gdk_x11_get_xatom_by_name_for_display (
      GdkDisplay* display,
      const char* atom_name
    )

#### Description [src]

Returns the X atom for a `GdkDisplay` corresponding to `atom_name`. This function caches the result, so if called repeatedly it is much faster than `XInternAtom()`, which is a round trip to the server each time.

#### Parameters

`display` | `GdkX11Display`
| a `GdkDisplay`
| Ownership is not transferred to the callee
`atom_name` | `const char*`
| a string
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `Atom`
a X atom for a `GdkDisplay`